Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Calibre > Devices

Notices

Reply
 
Thread Tools Search this Thread
Old 07-07-2020, 08:46 PM   #1
Seadevil
Junior Member
Seadevil began at the beginning.
 
Posts: 7
Karma: 10
Join Date: Oct 2016
Device: none
Question can't install older version in linuxmint 18.1

i read the instructions that said:

Reverting to a previous version
You can install a previous calibre release, like this:
sudo -v && sudo apt-get remove calibre && wget -nv -O- https://download.calibre-ebook.com/linux-installer.sh | sudo sh /dev/stdin version=3.29.0

Change 3.48.0 above to whatever version you want installed.

well, it removed the current version of Calibre ok, but then it went on to say:

Error: https://code.calibre-ebook.com/signa..._64.txz.sha512 returned an unsupported http response code: 404 (Not Found

so this last part in invalid. how do i install version 3.29 ?

Last edited by Seadevil; 07-07-2020 at 08:50 PM. Reason: need to add additional info
Seadevil is offline   Reply With Quote
Old 07-07-2020, 08:47 PM   #2
JSWolf
Resident Curmudgeon
JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.
 
JSWolf's Avatar
 
Posts: 58,446
Karma: 53778668
Join Date: Nov 2006
Location: Roslindale, Massachusetts
Device: Kobo Aura H2O, PRS-650, PRS-T1, nook STR, iPad 4, iPhone SE 2020, PW3
Why would you want 3.29 when you can have 3.48?
JSWolf is offline   Reply With Quote
Advert
Old 07-07-2020, 08:59 PM   #3
Seadevil
Junior Member
Seadevil began at the beginning.
 
Posts: 7
Karma: 10
Join Date: Oct 2016
Device: none
Quote:
Originally Posted by JSWolf View Post
Why would you want 3.29 when you can have 3.48?
because, i don't like the new setup. want the setup as is in 3.29 bookmarks, change font size etc is visible on the left side of the page. Been using it since 3.29 came out and never
upgraded. won't upgrade !
Seadevil is offline   Reply With Quote
Old 07-07-2020, 09:02 PM   #4
JSWolf
Resident Curmudgeon
JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.
 
JSWolf's Avatar
 
Posts: 58,446
Karma: 53778668
Join Date: Nov 2006
Location: Roslindale, Massachusetts
Device: Kobo Aura H2O, PRS-650, PRS-T1, nook STR, iPad 4, iPhone SE 2020, PW3
The setup is the same. The viewer is the same. It's only in 4.x that things changed. Don't be silly and go with 3.48. I've used both 3.29and 3.48 and I would never ever go with 3.29 when I can go with 3.48.

I do run 4.20 and it works even better then 3.29 and 3.48 (which works better then 3.29).

And now due to the upcoming Python 3 version of Calibre, a lot of plugin will have their minimum version changed to something above 3.48. So you really should go with 4.20 and keep updated.
JSWolf is offline   Reply With Quote
Old 07-07-2020, 09:14 PM   #5
Seadevil
Junior Member
Seadevil began at the beginning.
 
Posts: 7
Karma: 10
Join Date: Oct 2016
Device: none
Quote:
Originally Posted by JSWolf View Post
The setup is the same. The viewer is the same. It's only in 4.x that things changed. Don't be silly and go with 3.48. I've used both 3.29and 3.48 and I would never ever go with 3.29 when I can go with 3.48.

I do run 4.20 and it works even better then 3.29 and 3.48 (which works better then 3.29).

And now due to the upcoming Python 3 version of Calibre, a lot of plugin will have their minimum version changed to something above 3.48. So you really should go with 4.20 and keep updated.
how do i install 3.29 ? do you know?
Seadevil is offline   Reply With Quote
Advert
Old 07-07-2020, 09:17 PM   #6
gbm
Wizard
gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.
 
Posts: 1,686
Karma: 5980369
Join Date: Jun 2010
Device: Windows 10 tablet,Hisence Sero 7 Pro RIP, Nook STR, jetbook lite
Quote:
Originally Posted by Seadevil View Post
because, i don't like the new setup. want the setup as is in 3.29 bookmarks, change font size etc is visible on the left side of the page. Been using it since 3.29 came out and never
upgraded. won't upgrade !
You can have the bookmarks, change font size etc visible on the left side of the page in calibre 4.20 see screenshots.

My system is Linux Mint 19.3 Cinnamon.

bernie
Attached Thumbnails
Click image for larger version

Name:	Screenshot from 2020-07-07 21-12-34.png
Views:	14
Size:	260.9 KB
ID:	180475   Click image for larger version

Name:	Screenshot from 2020-03-27 14-45-28.png
Views:	14
Size:	59.7 KB
ID:	180476   Click image for larger version

Name:	Screenshot from 2020-03-27 14-46-20.png
Views:	15
Size:	54.0 KB
ID:	180477  
gbm is offline   Reply With Quote
Old 07-08-2020, 09:47 AM   #7
JSWolf
Resident Curmudgeon
JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.
 
JSWolf's Avatar
 
Posts: 58,446
Karma: 53778668
Join Date: Nov 2006
Location: Roslindale, Massachusetts
Device: Kobo Aura H2O, PRS-650, PRS-T1, nook STR, iPad 4, iPhone SE 2020, PW3
Nobody is going to tell you how you can install Calibre 3.29 because we don't know. We don't use it. Those that can use Calibre 4.20 and those that cannot use Calibre 3.48. Nobody (other then you) uses an obsolete version such as 3.29.
JSWolf is offline   Reply With Quote
Old 07-08-2020, 11:08 AM   #8
retiredbiker
Groupie
retiredbiker is faster than slow light.retiredbiker is faster than slow light.retiredbiker is faster than slow light.retiredbiker is faster than slow light.retiredbiker is faster than slow light.retiredbiker is faster than slow light.retiredbiker is faster than slow light.retiredbiker is faster than slow light.retiredbiker is faster than slow light.retiredbiker is faster than slow light.retiredbiker is faster than slow light.
 
retiredbiker's Avatar
 
Posts: 157
Karma: 29896
Join Date: May 2013
Location: Ontario, Canada
Device: Kindle KB, Oasis, Ubuntu, Jutoh,Kobo Forma
Have you tried a manual binary install? The 3.29 tarball is still available, and the command to use it is just below the instructions you first quoted.
retiredbiker is offline   Reply With Quote
Old 07-08-2020, 12:28 PM   #9
gbm
Wizard
gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.
 
Posts: 1,686
Karma: 5980369
Join Date: Jun 2010
Device: Windows 10 tablet,Hisence Sero 7 Pro RIP, Nook STR, jetbook lite
Quote:
Originally Posted by Seadevil View Post
how do i install 3.29 ? do you know?
I installed a Mint 18.1 virtual machine this morning and did some testing, using the command was only able to go back to 3.44.0.
Code:
sudo -v && sudo calibre-uninstall && wget -nv -O- https://download.calibre-ebook.com/linux-installer.sh | sudo sh /dev/stdin version=3.48.0
3.48 is basically the same as 3.29 just with bug fixes so use that or do a manual install.

bernie
gbm is offline   Reply With Quote
Old 07-08-2020, 02:43 PM   #10
JSWolf
Resident Curmudgeon
JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.
 
JSWolf's Avatar
 
Posts: 58,446
Karma: 53778668
Join Date: Nov 2006
Location: Roslindale, Massachusetts
Device: Kobo Aura H2O, PRS-650, PRS-T1, nook STR, iPad 4, iPhone SE 2020, PW3
@Seadevil

Just forget 3.29 It's obsolete. Go with 4.20 (see post #6 in this thread). You can do everything you are doing in 3.29 with 4.20 and you get an even more configurable toolbar for the viewer. 4.20 is a win-win for you.
JSWolf is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
reinstall older version? fredex Calibre 5 08-22-2014 08:17 PM
[The Older version] Calibre2opds V2 dpierron Related Tools 537 04-06-2012 09:43 AM
How to install prior version of Calibre when newer version installed? SilentSeven Calibre 3 04-13-2011 12:46 PM
Can't install Calibre, lacking SysAdmin priviliges, older version instead? ZenEngineer Calibre 3 12-17-2009 12:57 AM
Older version 0.5.6? thibaulthalpern Calibre 4 04-18-2009 07:18 PM


All times are GMT -4. The time now is 04:33 AM.


MobileRead.com is a privately owned, operated and funded community.